package com.xunhong.erp.turbo.infra.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.infra.dto.cmd.ChannelCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.ChannelDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.ChannelUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.ChannelPageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.ChannelShowQry;
import com.xunhong.erp.turbo.infra.domain.entity.Channel;

public interface ChannelGateway {
	IPage<Channel> page(ChannelPageQry channelPageQry);

	Channel show(ChannelShowQry channelShowQry);

	Channel save(ChannelCreateCmd channelCreateCmd);

	void destroy(ChannelDestroyCmd channelDestroyCmd);

	Channel update(ChannelUpdateCmd channelUpdateCmd);
}
